package response

type BizError struct {
	Code int
	Err  string
}

func (b BizError) Error() string {
	return b.Err
}

func NewBizError(err error) *BizError {
	return &BizError{Code: RESPONSE_CODE_ERROR_DEFAULT, Err: err.Error()}
}
